Retrieve Message to Sign for Webhook Subscription
const options = {method: 'GET'};
fetch('https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}import requests
url = "https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"message": "<string>",
"nonce": "<string>"
}{
"error": "Internal server error"
}Webhooks
Retrieve Message to Sign for Webhook Subscription
Generates a message for the user to sign. This message must be sent on POST /api/v1/webhooks/subscribe/{partnerId} to subscribe to webhook notifications.
GET
/
api
/
v1
/
webhooks
/
message
/
{partnerId}
Retrieve Message to Sign for Webhook Subscription
const options = {method: 'GET'};
fetch('https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}import requests
url = "https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}"
response = requests.get(url)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/webhooks/message/{partnerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"message": "<string>",
"nonce": "<string>"
}{
"error": "Internal server error"
}Path Parameters
Partner ID to subscribe to
Query Parameters
Optional Ethereum wallet address to use for signing. Must be one of the user's verified EOA addresses. If not provided, defaults to the user's primary verified wallet.
Pattern:
^0x[a-fA-F0-9]{40}$